/*  
    If you wish to use different fonts for your layout specify your font imports here and update the font-family tags as needed.
*/
@import url('https://fonts.googleapis.com/css2?family=Material+Symbols+Outlined:opsz,wght,FILL,GRAD@20..48,100..700,0..1,-50..200');
@import url('https://fonts.googleapis.com/css2?family=Lora:wght@400;700&family=Merriweather:wght@300;400;700&family=Open+Sans:wght@300;400&family=PT+Sans+Narrow:wght@400;700&family=Roboto:wght@300;400;500;700&display=swap');


html, body {
    /*
        Installed Google Fonts: Roboto, Open Sans, Merriweather, Lora, PT Sans Narrow
    */
    font-family: 'Lora', sans-serif;
}

html {
    font-size: 16px;
}

.note,
.note-right {
    opacity: 0.8;
    font-style: italic;
    font-size: .8em;
}

.note-right {
    text-align:right;
}

.note-right i {
    font-style:italic;
}

.pointer {
    cursor: pointer;
}

.right {
    text-align:right;
}

.indented-checkboxes {
    margin-left:25px;
}

.indented-switch {
    margin-left: 2.25em;
}

.indented {
    margin-left:2.5em;
}

.required-flag {
    color:#cc0000;
    position:relative;
    top:-2px;
}

.required-indicator {
    font-size:0.8em;
    margin-bottom:1em;
    opacity:0.9;
}

.required-flag:after {
    content: "*";
}

input.m-r,
select.m-r,
select.m-r option,
textarea.m-r,
.m-r input[type="text"],
.m-r.form-control:focus {
    background-color: palevioletred;
    border-color: darkred;
    color: #000;
}

.m-r option {
    background-color: #fff;
    color: #000;
}

.m-r::placeholder {
    color: #fff;
}

.m-r-warning {
    margin-bottom:.2em;
}

.m-r-warning span {
    padding:.2em .4em;
    background-color: #cc0000;
    border: solid 1px darkred;
    color:#fff;
    font-size:0.8em;
}

div.required {
    border: solid 1px transparent;
    padding: .1em .2em .1em .4em;
}

div.m-r {
    background-color: palevioletred;
    border: solid 1px darkred;
    border-radius:.4em;
    padding: .1em .2em;
    color: #000;
}

div.m-r .required-flag {
    color:darkred;
}

.m-r-wrapper {
    border: solid 2px transparent;
    border-radius:.4em;
}

.m-r-wrapper.missing {
    border: solid 2px palevioletred;
}

.fixed-50 {
    width: 50px;
    display: inline-block;
}

.fixed-75 {
    width: 75px;
    display: inline-block;
}

.fixed-100 {
    width: 100px;
    display: inline-block;
}

.fixed-150 {
    width: 150px;
    display: inline-block;
}

.fixed-200 {
    width: 200px;
    display: inline-block;
}

.fixed-250 {
    width: 250px;
    display: inline-block;
}

.fixed-300 {
    width: 300px;
    display: inline-block;
}

.fixed-500 {
    width: 500px;
    display: inline-block;
}

.nform-field-sublabel {
    display:inline-block;
    margin:0;
    padding:0;
    font-size: 0.8em;
    opacity: .8;
    font-weight: normal;
}

.nform-field-sublabel.above {
    margin-top:.5em;
}

.nform-field-sublabel.below {
    margin-bottom:1em;
}

.nform-readonly-data {
    border: dashed 1px var(--bs-border-color);
    border-radius: .4em;
    padding: .375rem .75rem;
    background-color: var(--bs-body-bg);
    color: var(--bs-body-color);
}

.nform-field-description {
    margin-bottom:1em;
}

.nform-field-validation-message-wrapper {
    margin-bottom: .5em;
}

.nform-field-validation-message {
    display: inline-block;
    padding: .2em;
    border: solid 1px #cc0000;
    background-color: white;
    color: #cc0000;
    font-size: 0.8em;
}

.nform-min-selection,
.nform-max-selection {
    font-size:0.8em;
    opacity:0.7;
}

.nform-field-checkboxlist .nform-min-selection,
.nform-field-checkboxlist .nform-max-selection {
    margin-left:1.5em;
}

.nform-field-checkboxlist .nform-field-checkbox.inline {
    display:inline-block;
    margin-right:1em;
}

.nform-field-checkbox-other-value,
.nform-field-radio-other-value,
.nform-field-select-other-value {
    margin-left: 1.2em;
}

.nform-field-date.datepicker.fixed-width {
    width:150px;
}

.nform-field-datetime.datetimepicker.fixed-width {
    width: 230px;
}

input.fill-in-the-blank {
    background-color: transparent;
    border: 0 !important;
    border-bottom-color: rgba(0, 0, 0, .7) !important;
    border-bottom-style: solid !important;
    border-bottom-width: 2px !important;
    text-align: center;
    /*font-weight: bold;*/
    padding: 0;
    /*font-family: monospace;*/
    /*font-size:.9em;*/
    white-space:nowrap;
}

input.fill-in-the-blank:focus {
    outline:none;
}

input.fill-in-the-blank.correct {
    border-bottom-color:limegreen !important;
}

input.fill-in-the-blank.incorrect {
    border-bottom-color:#cc0000 !important;
    /*background-color:palevioletred;*/
}

input.fill-in-the-blank.missing-required-value {
    background-color:palevioletred;
}

.fill-in-the-blank-reveal-wrapper {
    display: inline-block;
    position: relative;
    width: 0;
    height: 0;
}

.fill-in-the-blank-reveal {
    display: inline-block;
    position: relative;
    top: -10px;
    left: -2px;
    color: forestgreen;
    font-size: .8em;
    opacity: .75;
    padding: .05em .01em;
    border: none;
    border-radius: .5em;
    cursor: pointer;
    white-space: nowrap;
    transition-property: opacity,color;
    transition-duration: .25s;
    transition-timing-function: ease;
}

.fill-in-the-blank-reveal:hover {
    opacity:1;
    color:limegreen;
}

.fill-in-the-blank-spacer {
    display:inline-block;
    min-width:.6em;
}

span.fill-in-the-blank {
    display:inline-block;
    border-bottom-width:2px;
    border-bottom-style:solid;
    border-bottom-color:black;
    text-align:center;
}

span.fill-in-the-blank.correct {
    border-bottom-color:limegreen !important;
}

span.fill-in-the-blank.incorrect {
    border-bottom-color:#cc0000 !important;
}

.nform-field-signature {
    width: 100%;
    background-color: transparent;
    border: solid 1px var(--bs-border-color);
    border-radius:.4em;
    aspect-ratio:11 / 2;
}

.signature,
.nform-field-signature img {
    width:100%;
    height:auto;
    aspect-ratio:11 / 2;
}

.signature canvas {
    aspect-ratio:11 / 2;
}

.signature {
    width: 100%;
    aspect-ratio:11 / 2;
}

.signature-added  {
    border:solid 1px var(--bs-border-color) !important;
    border-radius:0.375rem;
}

.nform-field-time.picker.fixed-width {
    width:130px;
}

.nform-field-time.fixed-width table.time-12-hour {
    width:265px;
}

.nform-field-time.fixed-width table.time-24-hour {
    width:180px;
}


input.nform-field-date.icon,
input.nform-field-email.icon,
input.nform-field-password.icon,
input.nform-field-phone.icon,
input.nform-field-website.icon,
input.nform-field-number-currency.icon,
input.nform-field-number-decimal.icon {
    display: inline-block;
    background-position: 3px 3px;
    background-repeat: no-repeat;
    background-size: 30px 30px;
    padding-left: 36px;
}

input.nform-field-date.icon {
    background-image: url("data:image/svg+xml,%3C%3Fxml version='1.0' encoding='UTF-8'%3F%3E%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 500 500'%3E%3Cdefs%3E%3Cstyle%3E .cls-1 %7B fill: %231b6ec2; %7D .cls-2 %7B fill: %23fff; %7D %3C/style%3E%3C/defs%3E%3Cg id='Square'%3E%3Crect class='cls-1' width='500' height='500' rx='121.02' ry='121.02'/%3E%3C/g%3E%3Cg id='Calendar'%3E%3Cg%3E%3Cpath class='cls-2' d='M423.46,81.34h-98.29v-17.35c0-9.58-7.77-17.35-17.35-17.35s-17.35,7.77-17.35,17.35v17.35h-80.95v-17.35c0-9.58-7.77-17.35-17.35-17.35s-17.35,7.77-17.35,17.35v17.35H76.54c-9.58,0-17.35,7.77-17.35,17.35V410.91c0,9.58,7.77,17.35,17.35,17.35H423.46c9.58,0,17.35-7.77,17.35-17.35V98.68c0-9.58-7.77-17.35-17.35-17.35Zm-17.35,34.69v34.69H93.89v-34.69H406.11ZM93.89,393.56V185.41H406.11v208.15H93.89Z'/%3E%3Cpath class='cls-2' d='M255.1,285.42c4.4-5.69,6.8-13.62,6.8-23.01,0-20.18-11.94-31.76-32.75-31.76-27.36,0-34.59,19.39-34.59,29.64s7.35,12.3,11.73,12.3c6.85,0,11.45-4.6,11.45-11.45,0-5.49,3.63-8.15,11.11-8.15,6.86,0,10.13,1.68,10.13,11.25s-2.67,11.11-10.69,11.11c-5.96,0-10.46,4.74-10.46,11.03s4.46,10.89,10.61,10.89c11.53,0,13.09,5.98,13.09,11.82v2.68c0,10.23-3.75,14.21-13.37,14.21-12.33,0-12.95-7.26-12.95-8.71,0-5.02-3.07-10.89-11.73-10.89-7.19,0-11.31,4.33-11.31,11.88,0,14.64,12.66,30.2,36.13,30.2s36.42-13.72,36.42-36.69v-2.68c0-9.92-3.35-18.04-9.62-23.67Z'/%3E%3Cpath class='cls-2' d='M296.8,230.51c-5.43,0-8.09,3.57-9.09,4.91-.03,.05-.07,.09-.1,.14l-11.22,15.88c-1.93,2.07-3.73,5.52-3.73,8.72,0,6.08,4.76,11.03,10.61,11.03,.47,0,.93-.03,1.38-.1v65.93c0,6.05,4.99,10.61,11.6,10.61s11.59-4.66,11.59-10.61v-96.04c0-5.87-4.84-10.46-11.02-10.46Z'/%3E%3C/g%3E%3C/g%3E%3C/svg%3E");
}

input.nform-field-email.icon {
    background-image: url("data:image/svg+xml,%3C%3Fxml version='1.0' encoding='UTF-8'%3F%3E%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 500 500'%3E%3Cdefs%3E%3Cstyle%3E .cls-1 %7B fill: %231b6ec2; %7D .cls-2 %7B fill: none; stroke: %23fff; stroke-linecap: round; stroke-linejoin: round; stroke-width: 34px; %7D %3C/style%3E%3C/defs%3E%3Cg id='Square'%3E%3Crect class='cls-1' width='500' height='500' rx='121.02' ry='121.02'/%3E%3C/g%3E%3Cg id='Envelope'%3E%3Cg%3E%3Crect class='cls-2' x='70.59' y='123.75' width='358.82' height='251.17'/%3E%3Cpath class='cls-2' d='M70.59,123.75l179.41,161.47L429.41,123.75'/%3E%3C/g%3E%3C/g%3E%3C/svg%3E");
}

input.nform-field-password.icon {
    background-image: url("data:image/svg+xml,%3C%3Fxml version='1.0' encoding='UTF-8'%3F%3E%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 500 500'%3E%3Cdefs%3E%3Cstyle%3E .cls-1 %7B fill: %231b6ec2; %7D .cls-2 %7B fill: %23fff; %7D %3C/style%3E%3C/defs%3E%3Cg id='Square'%3E%3Crect class='cls-1' width='500' height='500' rx='121.02' ry='121.02'/%3E%3C/g%3E%3Cg id='Password'%3E%3Cg%3E%3Cpath class='cls-2' d='M436.87,152.63H63.13c-20.35,0-36.91,16.56-36.91,36.91v74.75c0,20.35,16.56,36.91,36.91,36.91h254.15c3.87,0,7.01-3.14,7.01-7.01s-3.14-7.01-7.01-7.01H63.13c-12.62,0-22.89-10.27-22.89-22.89v-74.75c0-12.62,10.27-22.89,22.89-22.89H436.87c12.62,0,22.89,10.27,22.89,22.89v37.37c0,3.87,3.14,7.01,7.01,7.01s7.01-3.14,7.01-7.01v-37.37c0-20.35-16.56-36.91-36.91-36.91Z'/%3E%3Cpath class='cls-2' d='M443.88,243.48v-16.57c0-24.47-19.91-44.38-44.38-44.38s-44.38,19.91-44.38,44.38v16.57c-8.68,2.93-14.95,11.15-14.95,20.8v22.42c0,32.72,26.62,59.33,59.33,59.33s59.33-26.62,59.33-59.33v-22.42c0-9.66-6.27-17.87-14.95-20.8Zm-74.75-16.57c0-16.74,13.62-30.37,30.37-30.37s30.37,13.62,30.37,30.37v15.42h-60.73v-15.42h0Zm75.68,59.8c0,24.99-20.33,45.32-45.32,45.32s-45.32-20.33-45.32-45.32v-22.42c0-4.38,3.56-7.94,7.94-7.94h74.75c4.38,0,7.94,3.56,7.94,7.94v22.42h0Z'/%3E%3Cpath class='cls-2' d='M399.5,272.23c-7.99,0-14.48,6.5-14.48,14.48,0,5.44,3.02,10.19,7.47,12.67v4.85c0,3.87,3.14,7.01,7.01,7.01s7.01-3.14,7.01-7.01v-4.85c4.45-2.47,7.47-7.22,7.47-12.67,0-7.99-6.5-14.48-14.48-14.48Z'/%3E%3Cpath class='cls-2' d='M234.55,235.8l-15.38-8.88,15.38-8.88c3.35-1.94,4.5-6.22,2.56-9.57-1.94-3.35-6.22-4.5-9.57-2.56l-15.38,8.88v-17.76c0-3.87-3.14-7.01-7.01-7.01s-7.01,3.14-7.01,7.01v17.76l-15.38-8.88c-3.35-1.94-7.64-.79-9.57,2.56s-.79,7.64,2.56,9.57l15.38,8.88-15.38,8.88c-3.35,1.94-4.5,6.22-2.56,9.57,1.3,2.25,3.65,3.5,6.08,3.5,1.19,0,2.39-.3,3.5-.94l15.38-8.88v17.76c0,3.87,3.14,7.01,7.01,7.01s7.01-3.14,7.01-7.01v-17.76l15.38,8.88c1.1,.64,2.31,.94,3.5,.94,2.42,0,4.78-1.26,6.08-3.5,1.93-3.35,.79-7.64-2.56-9.57Z'/%3E%3Cpath class='cls-2' d='M144.85,235.8l-15.38-8.88,15.38-8.88c3.35-1.94,4.5-6.22,2.56-9.57-1.94-3.35-6.22-4.5-9.57-2.56l-15.38,8.88v-17.76c0-3.87-3.14-7.01-7.01-7.01s-7.01,3.14-7.01,7.01v17.76l-15.38-8.88c-3.35-1.94-7.64-.79-9.57,2.56s-.79,7.64,2.56,9.57l15.38,8.88-15.38,8.88c-3.35,1.94-4.5,6.22-2.56,9.57,1.3,2.25,3.65,3.5,6.08,3.5,1.19,0,2.39-.3,3.5-.94l15.38-8.88v17.76c0,3.87,3.14,7.01,7.01,7.01s7.01-3.14,7.01-7.01v-17.76l15.38,8.88c1.1,.64,2.31,.94,3.5,.94,2.42,0,4.78-1.26,6.08-3.5,1.94-3.35,.79-7.64-2.56-9.57Z'/%3E%3Cpath class='cls-2' d='M324.25,235.8l-15.38-8.88,15.38-8.88c3.35-1.94,4.5-6.22,2.56-9.57-1.94-3.35-6.22-4.5-9.57-2.56l-15.38,8.88v-17.76c0-3.87-3.14-7.01-7.01-7.01s-7.01,3.14-7.01,7.01v17.76l-15.38-8.88c-3.35-1.94-7.64-.79-9.57,2.56s-.79,7.64,2.56,9.57l15.38,8.88-15.38,8.88c-3.35,1.94-4.5,6.22-2.56,9.57,1.3,2.25,3.65,3.5,6.08,3.5,1.19,0,2.39-.3,3.5-.94l15.38-8.88v17.76c0,3.87,3.14,7.01,7.01,7.01s7.01-3.14,7.01-7.01v-17.76l15.38,8.88c1.1,.64,2.31,.94,3.5,.94,2.42,0,4.78-1.26,6.08-3.5,1.93-3.35,.79-7.64-2.56-9.57Z'/%3E%3C/g%3E%3C/g%3E%3C/svg%3E");
}

input.nform-field-phone.icon {
    background-image: url("data:image/svg+xml,%3C%3Fxml version='1.0' encoding='UTF-8'%3F%3E%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 500 500'%3E%3Cdefs%3E%3Cstyle%3E .cls-1 %7B fill: %231b6ec2; %7D .cls-2 %7B fill: %23fff; %7D %3C/style%3E%3C/defs%3E%3Cg id='Square'%3E%3Crect class='cls-1' width='500' height='500' rx='121.02' ry='121.02'/%3E%3C/g%3E%3Cg id='Phone'%3E%3Cg%3E%3Cpath class='cls-2' d='M325.4,73.41c13.88,0,25.13,11.25,25.13,25.13V400.13c0,13.88-11.25,25.13-25.13,25.13H174.6c-13.88,0-25.13-11.25-25.13-25.13V98.54c0-13.88,11.25-25.13,25.13-25.13h150.79Zm-150.79-25.13c-27.76,0-50.26,22.5-50.26,50.26V400.13c0,27.76,22.5,50.26,50.26,50.26h150.79c27.76,0,50.26-22.5,50.26-50.26V98.54c0-27.76-22.5-50.26-50.26-50.26H174.6Z'/%3E%3Cpath class='cls-2' d='M250,400.13c13.88,0,25.13-11.25,25.13-25.13s-11.25-25.13-25.13-25.13-25.13,11.25-25.13,25.13,11.25,25.13,25.13,25.13Z'/%3E%3C/g%3E%3C/g%3E%3C/svg%3E");
}

input.nform-field-website.icon {
    background-image: url("data:image/svg+xml,%3C%3Fxml version='1.0' encoding='UTF-8'%3F%3E%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 500 500'%3E%3Cdefs%3E%3Cstyle%3E .cls-1 %7B fill: %231b6ec2; %7D .cls-2 %7B fill: %23fff; %7D %3C/style%3E%3C/defs%3E%3Cg id='Square'%3E%3Crect class='cls-1' width='500' height='500' rx='121.02' ry='121.02'/%3E%3C/g%3E%3Cg id='Link'%3E%3Cpath class='cls-2' d='M209.63,359.73l-34.82,33.83c-19.01,19.01-49.83,19.01-68.84,0s-19.01-49.83,0-68.84h0l89.3-89.5c18.2-18.26,47.53-19.04,66.68-1.77l2.36,1.97c7.77,7.6,20.23,7.47,27.83-.3s7.47-20.23-.3-27.83c-1.11-1.44-2.29-2.81-3.54-4.13-34.84-30.31-87.22-28.42-119.79,4.33l-90.48,89.5c-32.93,35.84-30.56,91.58,5.27,124.51,33.71,30.97,85.52,30.97,119.24,0l34.03-33.24c7.34-8.01,6.8-20.45-1.21-27.79-7.21-6.61-18.17-6.92-25.74-.73ZM419.91,79.63c-34.45-34.23-90.07-34.23-124.51,0l-34.03,33.24c-7.34,8.01-6.8,20.45,1.21,27.79,7.21,6.61,18.17,6.92,25.74,.73l34.03-33.83c19.01-19.01,49.83-19.01,68.84,0,19.01,19.01,19.01,49.83,0,68.84l-89.3,89.5c-18.2,18.26-47.53,19.04-66.68,1.77l-2.36-1.97c-7.77-7.6-20.23-7.47-27.83,.3-7.6,7.77-7.47,20.23,.3,27.83,1.43,1.46,2.94,2.84,4.52,4.13,34.88,30.22,87.18,28.33,119.79-4.33l89.5-89.5c34.45-34.23,34.8-89.85,.79-124.51Z'/%3E%3C/g%3E%3C/svg%3E");
}

input.nform-field-number-currency.icon {
    background-image: url("data:image/svg+xml,%3C%3Fxml version='1.0' encoding='UTF-8'%3F%3E%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 500 500'%3E%3Cdefs%3E%3Cstyle%3E .cls-1 %7B fill: %231b6ec2; %7D .cls-2 %7B fill: %23fff; %7D %3C/style%3E%3C/defs%3E%3Cg id='Square'%3E%3Crect class='cls-1' width='500' height='500' rx='121.02' ry='121.02'/%3E%3C/g%3E%3Cg id='Dollar_Sign' data-name='Dollar Sign'%3E%3Cpath class='cls-2' d='M349.63,314.41c0,12.71-2.42,24.27-7.27,34.68-4.85,10.41-11.72,19.35-20.62,26.82-8.9,7.47-19.78,13.43-32.65,17.88-12.87,4.45-27.25,7.07-43.14,7.87l-5.24,51.72c-.16,.95-.44,1.87-.83,2.74-.4,.87-1.15,1.59-2.26,2.14-1.11,.56-2.66,.99-4.65,1.31-1.99,.32-4.57,.48-7.75,.48-3.66,0-6.55-.2-8.7-.6-2.14-.4-3.85-.88-5.12-1.43-1.27-.56-2.11-1.35-2.5-2.38-.4-1.04-.44-2.19-.12-3.46l5.48-51.48c-7.63-.95-14.7-2.18-21.21-3.69-6.52-1.51-12.32-3.14-17.4-4.89-5.09-1.75-9.42-3.58-12.99-5.48-3.58-1.91-6.2-3.69-7.87-5.36-1.67-1.67-2.82-3.85-3.46-6.55-.64-2.7-.95-6.43-.95-11.2,0-3.49,.16-6.39,.48-8.7,.32-2.3,.79-4.21,1.43-5.72,.63-1.51,1.47-2.54,2.5-3.1,1.03-.56,2.26-.83,3.69-.83,2.06,0,5.01,1.15,8.82,3.46,3.81,2.3,8.86,4.85,15.14,7.63,6.28,2.78,13.94,5.36,23,7.75,9.06,2.38,19.94,3.58,32.65,3.58,22.56,0,39.69-4.45,51.37-13.35,11.68-8.9,17.52-20.97,17.52-36.23,0-9.37-2.14-17.2-6.43-23.48-4.29-6.28-9.97-11.68-17.04-16.21-7.07-4.53-15.1-8.42-24.07-11.68-8.98-3.25-18.11-6.55-27.41-9.89-9.3-3.34-18.44-7.15-27.41-11.44-8.98-4.29-16.96-9.61-23.96-15.97-6.99-6.35-12.63-14.1-16.92-23.24-4.29-9.14-6.44-20.38-6.44-33.73,0-10.64,1.83-20.58,5.48-29.79,3.65-9.21,9.14-17.28,16.45-24.19,7.31-6.91,16.52-12.55,27.65-16.92,11.12-4.37,24.07-7.03,38.85-7.98l4.77-48.15c.16-.95,.43-1.87,.83-2.74,.4-.87,1.15-1.63,2.26-2.26,1.11-.63,2.62-1.07,4.53-1.31,1.91-.24,4.53-.36,7.86-.36s6.39,.16,8.7,.48c2.3,.32,4.05,.83,5.24,1.55s1.94,1.55,2.26,2.5c.32,.95,.48,2.07,.48,3.34l-5.24,47.67c4.77,.48,9.73,1.31,14.9,2.5,5.16,1.19,10.01,2.54,14.54,4.05,4.53,1.51,8.62,3.18,12.27,5.01,3.65,1.83,6.16,3.38,7.51,4.65,1.35,1.27,2.3,2.47,2.86,3.57,.56,1.11,.99,2.38,1.31,3.81,.32,1.43,.6,3.1,.83,5.01,.24,1.91,.36,4.05,.36,6.44,0,3.02-.12,5.64-.36,7.87-.24,2.23-.59,3.97-1.07,5.24-.48,1.27-1.11,2.23-1.91,2.86-.8,.64-1.75,.95-2.86,.95-1.75,0-4.53-1.03-8.34-3.1-3.81-2.06-8.62-4.29-14.42-6.67-5.8-2.38-12.51-4.61-20.14-6.67-7.63-2.06-16.13-3.1-25.5-3.1-10.65,0-19.75,1.04-27.29,3.1-7.55,2.07-13.67,4.97-18.35,8.7-4.69,3.74-8.1,8.22-10.25,13.47-2.15,5.24-3.22,10.96-3.22,17.16,0,9.53,2.18,17.48,6.55,23.84,4.37,6.36,10.09,11.76,17.16,16.21,7.07,4.45,15.14,8.26,24.19,11.44,9.06,3.18,18.31,6.48,27.77,9.89,9.45,3.42,18.71,7.19,27.77,11.32,9.06,4.13,17.12,9.38,24.19,15.73,7.07,6.36,12.79,14.1,17.16,23.24,4.37,9.14,6.55,20.38,6.55,33.73Z'/%3E%3C/g%3E%3C/svg%3E");
}

input.nform-field-number-decimal.icon {
    background-image: url("data:image/svg+xml,%3C%3Fxml version='1.0' encoding='UTF-8'%3F%3E%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 500 500'%3E%3Cdefs%3E%3Cstyle%3E .cls-1 %7B fill: %231b6ec2; %7D .cls-2 %7B fill: %23fff; %7D %3C/style%3E%3C/defs%3E%3Cg id='Square'%3E%3Crect class='cls-1' width='500' height='500' rx='121.02' ry='121.02'/%3E%3C/g%3E%3Cg id='Hashtag'%3E%3Cpath class='cls-2' d='M378.49,184.49c0,3.08-.23,5.7-.68,7.87-.45,2.17-1.08,3.93-1.9,5.29-.81,1.36-1.81,2.35-2.98,2.98-1.18,.64-2.4,.95-3.66,.95h-35.55l-10.85,90.09h31.48c2.71,0,4.93,1.36,6.65,4.07,1.72,2.71,2.58,7.15,2.58,13.3,0,3.08-.27,5.7-.81,7.87s-1.18,3.93-1.9,5.29c-.73,1.36-1.67,2.35-2.85,2.98-1.18,.64-2.4,.95-3.66,.95h-36.09l-11.4,92.8c-.18,1.27-.54,2.4-1.08,3.39-.54,1-1.54,1.81-2.99,2.44-1.45,.63-3.44,1.09-5.97,1.36-2.54,.27-5.88,.41-10.04,.41s-7.6-.14-10.31-.41c-2.71-.27-4.8-.72-6.24-1.36-1.45-.63-2.44-1.45-2.99-2.44-.54-.99-.72-2.12-.54-3.39l11.4-92.8h-75.44l-11.4,92.8c-.36,1.27-.77,2.4-1.22,3.39-.45,1-1.36,1.81-2.71,2.44-1.36,.63-3.3,1.09-5.83,1.36-2.54,.27-5.88,.41-10.04,.41s-7.87-.14-10.58-.41c-2.71-.27-4.8-.72-6.24-1.36-1.45-.63-2.44-1.45-2.98-2.44-.54-.99-.73-2.12-.54-3.39l11.13-92.8h-31.48c-2.71,0-4.93-1.31-6.65-3.93-1.72-2.62-2.58-7.01-2.58-13.16,0-3.07,.27-5.7,.81-7.87,.54-2.17,1.17-3.94,1.9-5.29,.72-1.36,1.63-2.4,2.71-3.12,1.09-.72,2.35-1.09,3.8-1.09h36.36l11.13-90.09h-32.83c-2.71,0-4.93-1.36-6.65-4.07-1.72-2.71-2.58-6.96-2.58-12.75,0-6.33,.86-10.85,2.58-13.57,1.72-2.71,3.93-4.07,6.65-4.07h36.9l11.13-87.1c.18-1.26,.59-2.4,1.22-3.39,.63-.99,1.72-1.81,3.26-2.44,1.54-.63,3.66-1.13,6.38-1.49,2.71-.36,6.15-.54,10.31-.54s7.78,.18,10.31,.54c2.53,.36,4.48,.86,5.83,1.49,1.36,.64,2.21,1.45,2.58,2.44,.36,1,.54,2.04,.54,3.12l-11.4,87.38h75.44l10.58-87.1c.18-1.26,.63-2.4,1.36-3.39,.72-.99,1.81-1.81,3.26-2.44,1.45-.63,3.53-1.13,6.24-1.49,2.71-.36,6.24-.54,10.58-.54s7.55,.18,10.17,.54c2.62,.36,4.57,.86,5.83,1.49,1.26,.64,2.12,1.45,2.58,2.44,.45,1,.58,2.04,.41,3.12l-10.85,87.38h31.21c2.71,0,4.93,1.4,6.65,4.21,1.72,2.81,2.58,7.19,2.58,13.16Zm-160.37,17.1l-10.85,90.09h75.16l11.4-90.09h-75.71Z'/%3E%3C/g%3E%3C/svg%3E");
}

img.nform-field-captcha {
    width: 100%;
    background-color: #212529;
    border-style: solid;
    border-width: 2px;
    border-color: #000;
}

.nform-field-captcha-html {
    max-width:400px;
}

.saved-file-name {
    font-weight: bold;
}

.saved-file-size {
    font-size: 0.8em;
    opacity: 0.7;
}

select.phv {
    color: var(--bs-secondary-color);
}

select option.ph,
select.phv option[value=""],
select.phv option[value=""]:hover,
select.phv option[value=""]:focus,
select.phv option[value=""]:active {
    color: transparent !important;
}

select.phv option:not([value]),
select.phv option:not([value=""]) {
    color: var(--bs-body-color);
}

.nform-embedded {
    padding:0;
    margin:0 0 0 3px;
    width:calc(100vw - 20px);
}

.nform-embedded-form {
    margin-bottom:5em;
}

.one-time-code .input-box {
    width:365px;
    display:inline-block;
    background-image: url("data:image/svg+xml,<%3Fxml version='1.0' encoding='UTF-8'%3F><svg id='Layer_1' data-name='Layer 1' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 1896.67 2623.64' fill='%23dee2e6'><path d='M1595,55.79c21.24,0,41.29,8.36,56.47,23.53,15.18,15.18,23.53,35.23,23.53,56.47v2359.93c0,21.24-8.36,41.29-23.53,56.47s-35.23,23.53-56.47,23.53H290c-21.24,0-41.29-8.36-56.47-23.53s-23.53-35.23-23.53-56.47V135.79c0-21.24,8.36-41.29,23.53-56.47,15.18-15.18,35.23-23.53,56.47-23.53h1305M1595,15.79H290c-66,0-120,54-120,120v2359.93c0,66,54,120,120,120h1305c66,0,120-54,120-120V135.79c0-66-54-120-120-120h0Z'/></svg>");
    background-repeat:repeat-x;
    background-size:16.66% 100%;
    background-color:unset;
}

[data-bs-theme=dark] .one-time-code .input-box {
    background-image: url("data:image/svg+xml,<%3Fxml version='1.0' encoding='UTF-8'%3F><svg id='Layer_1' data-name='Layer 1' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 1896.67 2623.64' fill='%23495057'><path d='M1595,55.79c21.24,0,41.29,8.36,56.47,23.53,15.18,15.18,23.53,35.23,23.53,56.47v2359.93c0,21.24-8.36,41.29-23.53,56.47s-35.23,23.53-56.47,23.53H290c-21.24,0-41.29-8.36-56.47-23.53s-23.53-35.23-23.53-56.47V135.79c0-21.24,8.36-41.29,23.53-56.47,15.18-15.18,35.23-23.53,56.47-23.53h1305M1595,15.79H290c-66,0-120,54-120,120v2359.93c0,66,54,120,120,120h1305c66,0,120-54,120-120V135.79c0-66-54-120-120-120h0Z'/></svg>");
}

.one-time-code .input-box input[type="text"] {
    width:380px;
    padding:0 0 0 12px;
    font-size:64px;
    font-family: monospace;
    outline:none !important;
    border:none !important;
    background-color:transparent;
    letter-spacing:.4em;
    text-overflow:clip;
    overflow:hidden;
}

.otc {

}

.otc .char {
    display:inline-block;
    padding:0 .5em;
    border:solid 3px var(--bs-border-color);
    border-radius:.5em;
    margin:0 .5em 0 0;
}

.otc .char.active {
    background-color:var(--bs-border-color);
}

.otc .char input[type="text"] {
    font-family:monospace;
    font-size:4em;
    display:inline-block;
    width:1ch;
    border:none !important;
    outline:none !important;
    background-color:transparent;
}

.highlight {
    background-color:#cc0000;
    color:#fff;
}

.nform-section {
    border:solid 1px #555;
    border-radius:.4em;
    margin-bottom: 10px;
    overflow:hidden;
}

.nform-section .nform-section-header {
    font-size:1.3em;
    background-color:#555;
    color:#fff;
    padding:3px 6px;
}

.nform-section .nform-section-body {
    padding:3px 6px;
}

.form-toolbar .language-selector {
    width: 144px;
    display: inline-block;
}

.form-toolbar .language-selector .input-group {
    position:relative;
    top:-3px;
}

.form-login-buttons {
    width:400px;
}

.nform-page-tree {
    font-size:0.8em;
    margin-bottom: 1em;
}

.nform-page-tree .pages {
    font-weight:bold;
}

.nform-page-tree .sep {
    opacity:0.7;
    margin:0 .4em;
}

.nform-page-tree .page {
    opacity:0.7;
    cursor:pointer;
}

.nform-page-tree .page:not(.active):hover {
    opacity:1;
    text-decoration:underline;
}

.nform-page-tree .page.active {
    opacity:1;
    cursor:revert;
}

.nform-large {
    font-size:1.2em;
    font-weight:bold;
}

.nform-fieldset {
    margin-bottom:.5em;
}

label {
    font-weight:bold;
}

legend {
    font-weight:bold;
}

table.submit-status tbody tr.pending {
    opacity:0.7;
}

table.submit-status tbody tr.complete {
    color:#198754;
}

table.submit-status .spinner-border {
    font-size:.8em;
}

@media print {
    .nform-section .nform-section-header,
    .nform-section .nform-section-body {
        padding:0;
    }

    @page {
        margin: 0;
    }

    body {
        /*padding: 1cm;*/
    }

    :root {
        --bs-body-color: #000;
    }

    .no-print,
    .navbar.fixed-top {
        display: none !important;
    }
}

.legend-small {
    font-size:0.8em;
}

.flexlist .flexrow {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    align-items: baseline;
}

.flexlist .flexrow .label {
    flex-grow:0;
    flex-shrink: 0;
    flex-basis:content;
    font-weight:bold;
}

.flexlist .flexrow .label.right {
    text-align:right;
}

.flexlist .flexrow .value {
    flex-grow:1;
}

.form-footer {
    margin-top:.5em;
    opacity:0.7;
    font-size:0.7em;
}